be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

## Class TimequantityType

- java.lang.Object
- - be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.TimequantityType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-09-22T05:25:38+02:00",
                 comments="JAXB RI v2.2.11")
      public class TimequantityType
      extends Object
      implements Serializable

  Java class for timequantityType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="timequantityType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="decimal" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
               <element name="unit" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}timeunitType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimequantityType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigDecimal` | `getDecimal()` Gets the value of the decimal property.
    `TimeunitType` | `getUnit()` Gets the value of the unit property.
    `void` | `setDecimal(BigDecimal value)` Sets the value of the decimal property.
    `void` | `setUnit(TimeunitType value)` Sets the value of the unit property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimequantityType

          public TimequantityType()

  - ### Method Detail

    - #### getDecimal

          public BigDecimal getDecimal()

      Gets the value of the decimal property.
      Returns:
        possible object is `BigDecimal`

    - #### setDecimal

          public void setDecimal(BigDecimal value)

      Sets the value of the decimal property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getUnit

          public TimeunitType getUnit()

      Gets the value of the unit property.
      Returns:
        possible object is `TimeunitType`

    - #### setUnit

          public void setUnit(TimeunitType value)

      Sets the value of the unit property.
      Parameters:
        `value` - allowed object is `TimeunitType`

Connector Packaging PERSPRACTICALNURSE 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.